メインコンテンツへスキップ
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
files
/
safe-lists
/
{safeListId}
Update a safe list for a workspace
curl --request PATCH \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/{safeListId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "foo bar baz",
  "remarks": "foo bar baz description",
  "allFiles": true,
  "highConfidence": true,
  "create": {
    "safeDomains": [
      "foo.com",
      "bar.com"
    ],
    "safeEmailIds": [
      "foo@example.com"
    ],
    "safeFiles": [
      {
        "name": "foo",
        "id": "asdfgh12345"
      }
    ],
    "safeGroups": [
      {
        "name": "foo",
        "id": "asdfgh12345"
      }
    ]
  },
  "delete": {
    "safeDomains": [
      "foo.com",
      "bar.com"
    ],
    "safeEmailIds": [
      "foo@example.com"
    ],
    "safeFiles": [
      {
        "name": "foo",
        "id": "asdfgh12345"
      }
    ],
    "safeGroups": [
      {
        "name": "foo",
        "id": "asdfgh12345"
      }
    ]
  }
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/{safeListId}"

payload = {
    "name": "foo bar baz",
    "remarks": "foo bar baz description",
    "allFiles": True,
    "highConfidence": True,
    "create": {
        "safeDomains": ["foo.com", "bar.com"],
        "safeEmailIds": ["foo@example.com"],
        "safeFiles": [
            {
                "name": "foo",
                "id": "asdfgh12345"
            }
        ],
        "safeGroups": [
            {
                "name": "foo",
                "id": "asdfgh12345"
            }
        ]
    },
    "delete": {
        "safeDomains": ["foo.com", "bar.com"],
        "safeEmailIds": ["foo@example.com"],
        "safeFiles": [
            {
                "name": "foo",
                "id": "asdfgh12345"
            }
        ],
        "safeGroups": [
            {
                "name": "foo",
                "id": "asdfgh12345"
            }
        ]
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'foo bar baz',
    remarks: 'foo bar baz description',
    allFiles: true,
    highConfidence: true,
    create: {
      safeDomains: ['foo.com', 'bar.com'],
      safeEmailIds: ['foo@example.com'],
      safeFiles: [{name: 'foo', id: 'asdfgh12345'}],
      safeGroups: [{name: 'foo', id: 'asdfgh12345'}]
    },
    delete: {
      safeDomains: ['foo.com', 'bar.com'],
      safeEmailIds: ['foo@example.com'],
      safeFiles: [{name: 'foo', id: 'asdfgh12345'}],
      safeGroups: [{name: 'foo', id: 'asdfgh12345'}]
    }
  })
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/{safeListId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
workspaceId
number
必須
safeListId
string
必須

ボディ

application/json
name
string
:

"foo bar baz"

remarks
string
:

"foo bar baz description"

allFiles
boolean
:

true

highConfidence
boolean
:

true

create
object
delete
object

レスポンス

200 - application/json

The response is of type object.

最終更新日 2026年7月10日